Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Class AbstractEditCommandRequest

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest

All Implemented Interfaces:
  IEditCommandRequest

Direct Known Subclasses:
  ConfigureRequest, CreateElementRequest, DestroyRequest, DuplicateElementsRequest, GetEditContextRequest, MoveRequest, ReorientRequest, SetRequest

public abstract class AbstractEditCommandRequest
extends java.lang.Object
implements IEditCommandRequest

Abstract superclass for edit command requests.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`REPLACE_DEFAULT_COMMAND`

Constructor Summary
`protected` `AbstractEditCommandRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)` Initializes me with the editing domain in which I am requesting to make model changes.

Method Summary
`void` `addParameters(java.util.Map newParameters)` Adds of the parameter values in `newParameters` to this request.
`IClientContext` `getClientContext()` Gets the client context for this request.
`protected java.lang.String` `getDefaultLabel()` Gets the default edit command label.
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()` Gets the editing domain in which I am requesting to make model changes.
`java.util.List` `getElementsToEdit()` Gets the elements that will be changed when the work is done for this request.
`java.lang.String` `getLabel()` Gets the edit command label.
`java.lang.Object` `getParameter(java.lang.String parameterName)` Gets the value of the parameter named `parameterName`.
`java.util.Map` `getParameters()` Gets the parameters associated with this request.
`void` `setClientContext(IClientContext clientContext)` Sets the client context for this request.
`void` `setEditingDomain(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)` Sets the editing domain.
`void` `setLabel(java.lang.String label)` Sets the edit command label.
`void` `setParameter(java.lang.String parameterName, java.lang.Object value)` Sets the value of the parameter named `parameterName` to `value`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`getEditHelperContext`

Constructor Detail

### AbstractEditCommandRequest

    protected AbstractEditCommandRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

  Initializes me with the editing domain in which I am requesting to make model changes.

Parameters:
  `editingDomain` - the editing domain in which I am requesting to make model changes.

Method Detail

### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Description copied from interface: `IEditCommandRequest`
  Gets the editing domain in which I am requesting to make model changes.

  Specified by:
    `getEditingDomain` in interface `IEditCommandRequest`
  Returns:
    the editing domain

### getLabel

    public java.lang.String getLabel()

  Gets the edit command label. If the label has not been specified, the default command label will be returned.

  Specified by:
    `getLabel` in interface `IEditCommandRequest`
  Returns:
    the request label

### getDefaultLabel

    protected java.lang.String getDefaultLabel()

  Gets the default edit command label.

  Returns:
    the default label

### setLabel

    public void setLabel(java.lang.String label)

  Sets the edit command label. Once the edit command label has been set, the default command label will no longer be used.

  Parameters:
    `label` - the new label

### getElementsToEdit

    public java.util.List getElementsToEdit()

  Description copied from interface: `IEditCommandRequest`
  Gets the elements that will be changed when the work is done for this request.

  Specified by:
    `getElementsToEdit` in interface `IEditCommandRequest`
  Returns:
    the elements that will be edited

### getParameter

    public java.lang.Object getParameter(java.lang.String parameterName)

  Gets the value of the parameter named `parameterName`.

  Specified by:
    `getParameter` in interface `IEditCommandRequest`
  Parameters:
    `parameterName` - the parameter name
  Returns:
    the parameter value, or `null` if the parameter value is not set.

### setParameter

    public void setParameter(java.lang.String parameterName,
                             java.lang.Object value)

  Sets the value of the parameter named `parameterName` to `value`.

  Specified by:
    `setParameter` in interface `IEditCommandRequest`
  Parameters:
    `parameterName` - the parameter name
    `value` - the parameter value

### addParameters

    public void addParameters(java.util.Map newParameters)

  Adds of the parameter values in `newParameters` to this request.

  Specified by:
    `addParameters` in interface `IEditCommandRequest`
  Parameters:
    `newParameters` - the parameters to add

### getParameters

    public java.util.Map getParameters()

  Gets the parameters associated with this request.

  Specified by:
    `getParameters` in interface `IEditCommandRequest`
  Returns:
    the map of parameter values, keyed on parameter name

### setClientContext

    public void setClientContext(IClientContext clientContext)

  Description copied from interface: `IEditCommandRequest`
  Sets the client context for this request.

  Specified by:
    `setClientContext` in interface `IEditCommandRequest`
  Parameters:
    `clientContext` - the client context

### getClientContext

    public IClientContext getClientContext()

  Description copied from interface: `IEditCommandRequest`
  Gets the client context for this request.

  Specified by:
    `getClientContext` in interface `IEditCommandRequest`
  Returns:
    the client context

### setEditingDomain

    public void setEditingDomain(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

  Sets the editing domain.

  Parameters:
    `editingDomain` - the editing domain in which I am requesting to make model changes.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.